Bug 108025 - TODO: Janitorial cleanups for s390/ppc64 for agpgart
TODO: Janitorial cleanups for s390/ppc64 for agpgart
Status: CLOSED CURRENTRELEASE
Product: Red Hat Raw Hide
Classification: Retired
Component: XFree86 (Show other bugs)
1.0
All Linux
low Severity low
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
: EasyFix, Triaged
Depends On:
Blocks: FC4Target
  Show dependency treegraph
 
Reported: 2003-10-26 09:07 EST by Mike A. Harris
Modified: 2005-10-31 17:00 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-15 07:27:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mike A. Harris 2003-10-26 09:07:20 EST
/* FIXME: This should be defaulted upstream correctly, or patched and sent
 * upstream, and then removed from our specfile.
 */
%ifarch s390 s390x ppc64
#define HasAgpGart              NO
%else
#define HasAgpGart              YES
%endif

The above workaround hack is in our 4.3.0 rpms, and should be turned into
a patch for the Imake configs and sent upstream for the future to remove
spec file cruft.  Reporting it here as a reminder to myself.
Comment 2 Mike A. Harris 2005-03-15 07:27:44 EST
Xorg CVS head does not set HasAgpGart YES on s390.  Presumeably
current releases don't either.  Doesn't matter now, so closing.

Note You need to log in before you can comment on or make changes to this bug.